osmium::InnerRing Class Reference

`#include <area.hpp>`

Inheritance diagram for osmium::InnerRing:
[legend]
Collaboration diagram for osmium::InnerRing:
[legend]

## Public Member Functions

| InnerRing ()
Public Member Functions inherited from osmium::NodeRefList
| NodeRefList (osmium::item_type itemtype) noexcept
bool | empty () const noexcept
size_t | size () const noexcept
const NodeRef & | operator[] (size_t n) const noexcept
const NodeRef & | front () const noexcept
const NodeRef & | back () const noexcept
bool | is_closed () const noexcept
bool | ends_have_same_id () const noexcept
bool | ends_have_same_location () const
iterator | begin () noexcept
| Returns an iterator to the beginning. More...
iterator | end () noexcept
| Returns an iterator to the end. More...
const_iterator | cbegin () const noexcept
| Returns an iterator to the beginning. More...
const_iterator | cend () const noexcept
| Returns an iterator to the end. More...
const_iterator | begin () const noexcept
| Returns an iterator to the beginning. More...
const_iterator | end () const noexcept
| Returns an iterator to the end. More...
const_reverse_iterator | crbegin () const noexcept
| Returns a reverse_iterator to the beginning. More...
const_reverse_iterator | crend () const noexcept
| Returns a reverse_iterator to the end. More...
Public Member Functions inherited from osmium::memory::Item
unsigned char * | next () noexcept
const unsigned char * | next () const noexcept
item_size_type | byte_size () const noexcept
item_size_type | padded_size () const
item_type | type () const noexcept
bool | removed () const noexcept
void | set_removed (bool removed) noexcept

## Static Public Attributes

static constexpr osmium::item_type | itemtype = osmium::item_type::inner_ring

## Additional Inherited Members

Public Types inherited from osmium::NodeRefList
using | iterator = NodeRef *
using | const_iterator = const NodeRef *
using | const_reverse_iterator = std::reverse_iterator< const NodeRef * >
Protected Member Functions inherited from osmium::memory::Item
| Item (item_size_type size=0, item_type type=item_type()) noexcept
| Item (const Item &)=delete
| Item (Item &&)=delete
Item & | operator= (const Item &)=delete
Item & | operator= (Item &&)=delete
Item & | set_type (const item_type item_type) noexcept

## Detailed Description

An inner ring of an Area.

## Constructor & Destructor Documentation

osmium::InnerRing::InnerRing | ( |  | ) |

inline

## Member Data Documentation

constexpr osmium::item_type osmium::InnerRing::itemtype = osmium::item_type::inner_ring

static

The documentation for this class was generated from the following file:

- osmium/osm/area.hpp